Redmine - Defect #6691

get a message of "no such file to load -- script/../config/boot (LoadError)"
2010-10-18 10:06 - Luke Lujing

Status: Closed Start date: 2010-10-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.0.2
Description

when | install redmine-1.0.2, | use:

MySQL5.0.2
ruby3.0

abstract (1.0.0)
actionmailer (3.0.0)
actionpack (3.0.0)
activemodel (3.0.0)
activerecord (3.0.0)
activeresource (3.0.0)
activesupport (3.0.0)
arel (1.0.1)

builder (2.1.2)
bundler (1.0.2)
erubis (2.6.6)

i18n (0.4.1)

mail (2.2.7)
mime-types (1.16)
minitest (1.6.0)
mysql (2.8.1)
polyglot (0.3.1)
rack (1.2.1, 1.0.1)
rack-mount (0.6.13)
rack-test (0.5.6)
rails (3.0.0)

railties (3.0.0)

rake (0.8.7)

rdoc (2.5.8)

thor (0.14.3)
treetop (1.4.8)
tzinfo (0.3.23)
and | just follow the installation guide(http://www.redmine.org/wiki/redmine/Redminelnstall#Installation), everything is OK at first, but
when | run the command: ruby script/server webrick -e production, it prompt as follow:

<internal:lib/rubygems/custom_require>:29:in “require': no such file to load -- script/../config/boot (LoadError)

from <internal:lib/rubygems/custom_require>:29:in “require’

from script/about:2:in “<main>'

and, when | install ruby, | used a target directory "/usr/local/ruby". | found some infomation on web that said maybe that is the
reason...

but how can | fix it? or it's a bug of redmine-1.0.2?

History

#1 - 2010-10-18 10:17 - Felix Schéfer
- Status changed from New to Closed

- Resolution set to Invalid

You seem to be 2 steps too far, see a few lines up in the Redminelnstall guide, and you'll see rails 3 is not supported.
http://www.redmine.org/wiki/redmine/RedmineInstall#Installation
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Ruby-xx-Ruby-on-Rails-xx-Rack

Furthermore, please visit the forums for support, especially regarding installation.

#2 - 2010-10-19 03:42 - Luke Lujing

shame...& thx a lot for you help!

2025-04-20 22


http://www.tcpdf.org

